=== debian/changelog ===
ros-indigo-jsk-topic-tools (2.2.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-indigo-jsk-topic-tools (2.2.9-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-topic-tools (2.2.8-0trusty) trusty; urgency=high

  * Fix to install 'scripts' directory (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Add reset to Timer in ConnectionBasedTransport (#1597 <https://github.com/jsk-ros-pkg/jsk_common/issues/1597>)
    * Check if >=kinetic to pass reset arg to Timer
  * Add test for data_collection_server (#1599 <https://github.com/jsk-ros-pkg/jsk_common/issues/1599>)
    * Stop using cv2 in static_image_publisher.pyTo fix
    https://github.com/jsk-ros-pkg/jsk_common/pull/1599#issuecomment-417908500
    
      * Add reset to Timer in ConnectionBasedTransport
        To fix below:
        ```
    [ERROR] [1535796247.786932, 1535792085.063646]: [/get_heightmap] [sleep] ROS time moved backwards: 1.407559397s
    Exception in thread Thread-4:
    Traceback (most recent call last):
    File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 226, in run
    r.sleep()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 103, in sleep
    sleep(self._remaining(curr_time))
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 164, in sleep
    raise rospy.exceptions.ROSTimeMovedBackwardsException(time_jump)
    ROSTimeMovedBackwardsException: ROS time moved backwards
    Exception in thread Thread-4:
    Traceback (most recent call last):
    File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 226, in run
    r.sleep()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 103, in sleep
    sleep(self._remaining(curr_time))
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rospy/timer.py", line 164, in sleep
    raise rospy.exceptions.ROSTimeMovedBackwardsException(time_jump)
    ROSTimeMovedBackwardsException: ROS time moved backwards
    ^C[image_view-9] killing on exit
    [tile_image-8] killing on exit
    [get_heightmap/output/depth_view-7] killing on exit
    [get_heightmap-6] killing on exit
    [heightmap_frame_publisher-5] killing on exit
    [bbox_to_tf-4] killing on exit
    [bbox_array_to_bbox-3] killing on exit
    [rosbag_play-2] killing on exit
    [rosout-1] killing on exit
    [master] killing on exit
    shutting down processing monitor...
    ... shutting down processing monitor complete
    done<string>:60: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:60: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:60: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
  * [jsk_topic_tools] Fixed use_warn option (#1592 <https://github.com/jsk-ros-pkg/jsk_common/issues/1592>)
  * use PROJECT_NAME instad of __NODENAME_PREFIX (RANDOM) (#1591 <https://github.com/jsk-ros-pkg/jsk_common/issues/1591>)
    * https://github.com/jsk-ros-pkg/jsk_common/pull/1586/files#r207146300
  * jsk_topic_tools/cmake/nodelet.cmake: add random prefix before _single  (``#1586 <https://github.com/jsk-ros-pkg/jsk_common/issues/1586>`_)
  * Contributors: Kei Okada, Kentaro Wada, Yohei Kakiuchi, Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-jsk-topic-tools (2.2.7-0trusty) trusty; urgency=high

  * Add warnNoRemap to ConnectionBasedNodelet (#1538 <https://github.com/jsk-ros-pkg/jsk_common/issues/1538>)
    * add version_gte 1.9.11 for nodelet
  * jsk_topic_tools: add option to display diagnostic messages on warning level (#1585 <https://github.com/jsk-ros-pkg/jsk_common/issues/1585>)
    * jsk_topic_tools: add option to set diangostic leveljsk_topic_tools: update doc for jsk_topic_tools nodelet classes
  * Add #include <boost/format.hpp> (#1584 <https://github.com/jsk-ros-pkg/jsk_common/issues/1584>)
  * jsk_topic_tools: add synchronized_throttle (#1579 <https://github.com/jsk-ros-pkg/jsk_common/issues/1579>)
    * jsk_topic_tools: add synchronized_throttle
    * Add warnNoRemap to ConnectionBasedNodelet
  * Fix roscore regardless (#1576 <https://github.com/jsk-ros-pkg/jsk_common/issues/1576>)
    * jsk_topic_tools: fix isMasterAlive to work
  * Contributors: Yuki Furuta, Kentaro Wada, Laurenz

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-indigo-jsk-topic-tools (2.2.6-0trusty) trusty; urgency=high

  * jsk_topic_tools: stealth_relay_nodelet: support MessageEvent (#1572 <https://github.com/jsk-ros-pkg/jsk_common/issues/1572>)
  * jsk_topic_tools: stealth_relay add options as dynamic_reconfigure (#1568 <https://github.com/jsk-ros-pkg/jsk_common/issues/1568>)
    * jsk_topic_tools: test_stealth_relay: disable updating dynamic reconfigure
    * jsk_topic_tools: test_stealth_relay: update timeout
    * jsk_topic_tools: stealth_relay: add deprecation warning
    * jsk_topic_tools: add options as dynamic_reconfigure
  * jsk_topic_tools: connection_based_nodelet: fix typo in advertiseCamera (#1558 <https://github.com/jsk-ros-pkg/jsk_common/issues/1558>)
  * jsk_topic_tools: add stealth_relay for silently subscribing topic (#1544 <https://github.com/jsk-ros-pkg/jsk_common/issues/1544>)
  * Validate implementation of child class of ConnectionBasedTransport (#1556 <https://github.com/jsk-ros-pkg/jsk_common/issues/1556>)
    * Check if publishers exist to avoid implementation failures
    * Use ABCMeta to avoid unexpected usage of ConnectionBasedTransportSomeone use this class without any subscriptions,

