=== debian/control ===
Source: ros-indigo-jsk-topic-tools
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-dynamic-tf-publisher, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nodelet (>= 1.9.11), ros-indigo-roscpp, ros-indigo-roscpp-tutorials, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-rosnode, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-rostopic, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-topic-tools
Homepage: http://ros.org/wiki/jsk_topic_tools
Standards-Version: 3.9.2

Package: ros-indigo-jsk-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-opencv, python-scipy, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-dynamic-tf-publisher, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-nodelet (>= 1.9.11), ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-rosnode, ros-indigo-rostime, ros-indigo-rostopic, ros-indigo-sensor-msgs, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-topic-tools
Description: jsk_topic_tools
